LINUX.ORG.RU

./configure не может найти библиотеку lame (libmp3lame0)

 , , ,


0

1

Стоит Debian 7 - Wheezy amd64.

После установки libmp3lame0 из репозитория (очень быстро установилась, без ошибок; и вручную собирал), мне понадобилось собрать программу одну из исходников (ices-0.4) с параметром ./configure --with-lame.

Пошли проверки, все успешно, "... yes", ВДРУГ

checking lame/lame.h usability... yes
checking lame/lame.h presence... yes
checking for lame/lame.h... yes
checking for lame_encode_flush_nogap in -lmp3lame... no
configure: error: Could not find a valid LAME library installation

Где проверить? Что-то с LAME? Ведь только что установил.

невесело наверное канпелировать с такими познаниями.

mos ★★☆☆☆ ()
Ответ на: комментарий от TheBear

видимо такую функцию «lame_encode_flush_nogap» должен твой liblame экспортировать.

dimon555 ★★★★★ ()

в кубунте 14.04 всё собралось без вопросов

......
checking lame/lame.h usability... yes
checking lame/lame.h presence... yes
checking for lame/lame.h... yes
checking for lame_encode_flush_nogap in -lmp3lame... yes
checking for lame_decode_exit... yes
......

Features:
  XML     : no
  Python  : yes
  Perl    : no
  LAME    : yes
  Vorbis  : yes
  MP4     : no
  FLAC    : no
могу поделиться колхозным checkinstall: http://rghost.ru/60287062

ss_ash ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.